# pod_char_traits.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file pod_char_traits.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace std

## Classes

- struct __gnu_cxx::character< V, I, S >
    A POD class that serves as a character abstraction class. More...
- struct std::char_traits< __gnu_cxx::character< V, I, S > >
    char_traits<__gnu_cxx::character> specialization. More...

## Defines

- #define _POD_CHAR_TRAITS_H

## Functions

- template<typename V, typename I, typename S> bool __gnu_cxx::operator< (const character< V, I, S > &lhs, const character< V, I, S > &rhs)
- template<typename V, typename I, typename S> bool __gnu_cxx::operator== (const character< V, I, S > &lhs, const character< V, I, S > &rhs)